### Class

# Handy SwipeGroup

deprecated: 1.4 since: 1.0

#### Description [src]

    final class Handy.SwipeGroup : GObject.Object
      implements Gtk.Buildable {
      /* No available fields */
    }

An object for syncing swipeable widgets.

The `HdySwipeGroup` object can be used to sync multiple swipeable widgets that implement the `HdySwipeable` interface, such as `HdyCarousel`, so that animating one of them also animates all the other widgets in the group.

This can be useful for syncing widgets between a window’s titlebar and content area.

## HdySwipeGroup as GtkBuildable

`HdySwipeGroup` can be created in an UI definition. The list of swipeable widgets is specified with a <swipeables> element containing multiple <swipeable> elements with their ”name” attribute specifying the id of the widgets.

    <object class="HdySwipeGroup">
      <swipeables>
        <swipeable name="carousel1"/>
        <swipeable name="carousel2"/>
      </swipeables>
    </object>

`HdySwipeGroup` has been deprecated, `HdyWindow` and `HdyApplicationWindow` allow using a single leaflet for both content and header bar, without the need to sync them.

Available since: 1.0

Deprecated since: 1.4

Please do not use it in newly written code.

#### Ancestors

- GObject

#### Implements

- GtkBuildable

#### Constructors

###### hdy_swipe_group_new

Creates a new `HdySwipeGroup`.

deprecated: 1.4 since: 1.0

#### Instance methods

###### hdy_swipe_group_add_swipeable

Adds a swipeable to `self`.

deprecated: 1.4 since: 1.0

###### hdy_swipe_group_get_swipeables

Gets the list of swipeables associated with `self`.

deprecated: 1.4 since: 1.0

###### hdy_swipe_group_remove_swipeable

Removes a widget from a `HdySwipeGroup`.

deprecated: 1.4 since: 1.0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from GtkBuildable (10)

###### gtk_buildable_add_child

Adds a child to `buildable`. `type` is an optional string describing how the child should be added.

###### gtk_buildable_construct_child

Constructs a child of `buildable` with the name `name`.

###### gtk_buildable_custom_finished

This is similar to `gtk_buildable_parser_finished()` but is called once for each custom tag handled by the `buildable`.

###### gtk_buildable_custom_tag_end

This is called at the end of each custom element handled by the buildable.

###### gtk_buildable_custom_tag_start

This is called for each unknown element under `<child>`.

###### gtk_buildable_get_internal_child

Get the internal child called `childname` of the `buildable` object.

###### gtk_buildable_get_name

Gets the name of the `buildable` object.

###### gtk_buildable_parser_finished

Called when the builder finishes the parsing of a [GtkBuilder UI definition][BUILDER-UI]. Note that this will be called once for each time `gtk_builder_add_from_file()` or `gtk_builder_add_from_string()` is called on a builder.

###### gtk_buildable_set_buildable_property

Sets the property name `name` to `value` on the `buildable` object.

###### gtk_buildable_set_name

Sets the name of the `buildable` object.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct HandySwipeGroupClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.